Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.definition
Class PortletPlacement

    java.lang.Object
      com.bea.netuix.application.definition.PortletPlacement

    public class PortletPlacement

extends Object

This class represents placement information about a portlet.

Constructor Summary
`PortletPlacement(PlacementId placementId, DesktopInstanceId desktopInstanceId, PageDefinitionId pageDefinitionId, PageInstanceId pageInstanceId, String pageDefinitionLabel, LayoutDefinitionId layoutDefinitionId, PlaceholderDefinitionId placeholderDefinitionId, int layoutLocation, int position, PortletInstanceId portletInstanceId)`

Method Summary
`DesktopInstanceId` | `getDesktopInstanceId()`
`LayoutDefinitionId` | `getLayoutDefinitionId()`
`int` | `getLayoutLocation()`
`PageDefinitionId` | `getPageDefinitionId()`
`String` | `getPageDefinitionLabel()`
`PageInstanceId` | `getPageInstanceId()`
`PlaceholderDefinitionId` | `getPlaceholderDefinitionId()`
`PlacementId` | `getPlacementId()`
`PortletInstanceId` | `getPortletInstanceId()`
`int` | `getPosition()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletPlacement

    public PortletPlacement(PlacementId placementId,
                            DesktopInstanceId desktopInstanceId,
                            PageDefinitionId pageDefinitionId,
                            PageInstanceId pageInstanceId,
                            String pageDefinitionLabel,
                            LayoutDefinitionId layoutDefinitionId,
                            PlaceholderDefinitionId placeholderDefinitionId,
                            int layoutLocation,
                            int position,
                            PortletInstanceId portletInstanceId)

Method Detail

### getPlacementId

    public PlacementId getPlacementId()

### getDesktopInstanceId

    public DesktopInstanceId getDesktopInstanceId()

### getPageInstanceId

    public PageInstanceId getPageInstanceId()

### getPlaceholderDefinitionId

    public PlaceholderDefinitionId getPlaceholderDefinitionId()

### getPosition

    public int getPosition()

### getPageDefinitionId

    public PageDefinitionId getPageDefinitionId()

### getPageDefinitionLabel

    public String getPageDefinitionLabel()

### getLayoutDefinitionId

    public LayoutDefinitionId getLayoutDefinitionId()

### getPortletInstanceId

    public PortletInstanceId getPortletInstanceId()

### getLayoutLocation

    public int getLayoutLocation()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved